<?php

namespace Shop\Domain\Provider\Contracts;

use Repo\PaginationInterface;
use Repo\RepositoryCriteriaInterface;

/**
* Description of Provider
*
* @author Diamond Code Generator
*/
interface ProviderCriteriaInterface extends RepositoryCriteriaInterface, PaginationInterface
{
    public function setFilterByName(?string $filterByName): ProviderCriteriaInterface;

    public function getFilterByName(): ?string;

    public function getSearchByName(): ?string;

    public function getSearchByDestination(): ?string;

    public function setSortByName(?string $sortByName): ProviderCriteriaInterface;

    public function getSortByName(): ?string;
}           